#ifndef CODECCONFIG_H
#define CODECCONFIG_H
#include "codecconf_p.h"
#include <string>
#include <videoencoder.h>
using namespace std;

class CodecConfig : public CodecConfigDialog
{ 
    Q_OBJECT
public:
    CodecConfig( QWidget*, VideoEncoderInfo info );
    ~CodecConfig();
    VideoEncoderInfo GetInfo();    
public slots:
    virtual void SelectCodec();    
    virtual void accept();
    virtual void change_attr(QListViewItem* item);
    virtual void about_clicked();
};

#endif // CODECCONFIG_H
